summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-11-17 22:07:53 +0000
committer Eric Hameleers <alien@slackware.com>2019-11-18 08:59:48 +0100
commit8a57cac1b7b766e492bdce5af37fed3386e3bc1a (patch)
tree2f278ebcf673e620a54b69169440bc035256a6ac /source
parenta8edf862caf8a3d09bc742a80d8c217ee8ab2da6 (diff)
downloadcurrent-8a57cac1b7b766e492bdce5af37fed3386e3bc1a.tar.gz
current-8a57cac1b7b766e492bdce5af37fed3386e3bc1a.tar.xz
Sun Nov 17 22:07:53 UTC 201920191117220753
ap/qpdf-9.1.0-x86_64-1.txz: Upgraded. d/check-0.13.0-x86_64-1.txz: Added. This is needed to build PulseAudio using Meson. l/alsa-lib-1.2.1-x86_64-2.txz: Rebuilt. Merge alsa-topology-conf-1.2.1 and alsa-ucm-conf-1.2.1 into the package. l/pulseaudio-13.0-x86_64-2.txz: Rebuilt. Rebuilt with meson. This causes esound support to be dropped, but it's likely that nobody will care. l/pyparsing-2.4.5-x86_64-1.txz: Upgraded. extra/pure-alsa-system/alsa-lib-1.2.1-x86_64-2_alsa.txz: Rebuilt. Merge alsa-topology-conf-1.2.1 and alsa-ucm-conf-1.2.1 into the package.
Diffstat (limited to 'source')
-rwxr-xr-xsource/d/check/check.SlackBuild147
-rw-r--r--source/d/check/check.url1
-rw-r--r--source/d/check/slack-desc19
-rwxr-xr-xsource/l/alsa-lib/alsa-lib.SlackBuild16
-rwxr-xr-xsource/l/pulseaudio/pulseaudio.SlackBuild54
-rwxr-xr-xsource/n/bind/bind.SlackBuild1
6 files changed, 211 insertions, 27 deletions
diff --git a/source/d/check/check.SlackBuild b/source/d/check/check.SlackBuild
new file mode 100755
index 000000000..2851cdf5f
--- /dev/null
+++ b/source/d/check/check.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=check
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# EXAMPLE FOR AUTOTOOLS:
+# Configure, build, and install:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Looks like --docdir is ignored. Blow away the installed crap:
+rm -rf $PKG/usr/share/doc
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* ChangeLog COPYING* NEWS* README* THANKS* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/d/check/check.url b/source/d/check/check.url
new file mode 100644
index 000000000..bc78ae008
--- /dev/null
+++ b/source/d/check/check.url
@@ -0,0 +1 @@
+https://github.com/libcheck/check/releases
diff --git a/source/d/check/slack-desc b/source/d/check/slack-desc
new file mode 100644
index 000000000..fe4c716cb
--- /dev/null
+++ b/source/d/check/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+check: check (unit test framework)
+check:
+check: Check is a unit test framework for C. It features a simple interface
+check: for defining unit tests, putting little in the way of the developer.
+check: Tests are run in a separate address space, so Check can catch both
+check: assertion failures and code errors that cause segmentation faults or
+check: other signals. The output from unit tests can be used within source
+check: code editors and IDEs.
+check:
+check: Homepage: https://libcheck.github.io/check
+check:
diff --git a/source/l/alsa-lib/alsa-lib.SlackBuild b/source/l/alsa-lib/alsa-lib.SlackBuild
index c2de7e296..436070ed3 100755
--- a/source/l/alsa-lib/alsa-lib.SlackBuild
+++ b/source/l/alsa-lib/alsa-lib.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=alsa-lib
VERSION=${VERSION:-$(echo alsa-lib-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -81,6 +81,15 @@ if [ ! -r src/conf/smixer.conf ]; then
cp -a $CWD/smixer.conf src/conf
fi
+# Untar the configuration files. We'll install them later.
+( mkdir ucm-and-topology-configs
+ cd ucm-and-topology-configs
+ for file in $CWD/alsa-*conf*tar* ; do
+ tar xvf $file
+ mv README.md README-$(echo $(basename $file) | cut -f 1-3 -d -)
+ done
+)
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -93,6 +102,8 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--enable-mixer-modules \
--enable-mixer-pymods \
+ --enable-topology \
+ --enable-ucm \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || exit 1
@@ -115,6 +126,9 @@ fi
chmod 644 $PKG/etc/asound.conf.new
chown root:root $PKG/etc/asound.conf.new
+# Install ucm and topology configs:
+( cd ucm-and-topology-configs ; tar cf - . ) | ( cd $PKG/usr/share/alsa ; tar xf -)
+
# TODO?
# ( cd src/pcm/ext
# make jack
diff --git a/source/l/pulseaudio/pulseaudio.SlackBuild b/source/l/pulseaudio/pulseaudio.SlackBuild
index bd3b13d46..cf5a33669 100755
--- a/source/l/pulseaudio/pulseaudio.SlackBuild
+++ b/source/l/pulseaudio/pulseaudio.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pulseaudio
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -98,34 +98,36 @@ zcat $CWD/pulseaudio-autostart.patch.gz | patch -p1 --verbose || exit 1
# using the upstream default here.
sed -i 's/; flat-volumes = yes/flat-volumes = no/g' ./src/daemon/daemon.conf.in
-# 0131-alsa-lib-1.1.9.patch.gz touches configure.ac, so:
-autoreconf -vif
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./bootstrap.sh \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --disable-tcpwrap \
- --enable-orc \
- --disable-static \
- --disable-hal-compat \
- --disable-bluez4 \
- --with-system-user=pulse \
- --with-system-group=pulse \
- --with-access-group=audio \
- --with-bash-completion-dir=/usr/share/bash-completion/completions \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS check || make check || exit 1
-make $NUMJOBS || make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
-
-# Remove .la files:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/lib*.la
+ --buildtype=release \
+ -Dorc=enabled \
+ -Dhal-compat=false \
+ -Dsystem_user="pulse" \
+ -Dsystem_group="pulse" \
+ -Daccess_group="audio" \
+ -Dbashcompletiondir="/usr/share/bash-completion/completions" \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Move config files to .new:
for f in $( find $PKG/etc/pulse/ -type f ) ; do mv $f $f.new ; done
diff --git a/source/n/bind/bind.SlackBuild b/source/n/bind/bind.SlackBuild
index 6359a7ddc..a194586d5 100755
--- a/source/n/bind/bind.SlackBuild
+++ b/source/n/bind/bind.SlackBuild
@@ -87,6 +87,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-shared \
--disable-static \
+ --enable-filter-aaaa \
--with-openssl=/usr \
--build=$ARCH-slackware-linux || exit 1